Update Paylink
curl --request PATCH \
--url https://mapi.zbx.boomfi.xyz/v1/paylinks/{paylinkId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"enabled": true,
"metadata": {
"customer_fields": [
"<string>"
],
"omit_possible_duplicate_acknowledgement": true,
"payment_method_types": [],
"variable_mode_only": true
},
"plan": {
"description": "<string>",
"image_url": "<string>",
"name": "<string>"
}
}
'import requests
url = "https://mapi.zbx.boomfi.xyz/v1/paylinks/{paylinkId}"
payload = {
"enabled": True,
"metadata": {
"customer_fields": ["<string>"],
"omit_possible_duplicate_acknowledgement": True,
"payment_method_types": [],
"variable_mode_only": True
},
"plan": {
"description": "<string>",
"image_url": "<string>",
"name": "<string>"
}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
metadata: {
customer_fields: ['<string>'],
omit_possible_duplicate_acknowledgement: true,
payment_method_types: [],
variable_mode_only: true
},
plan: {description: '<string>', image_url: '<string>', name: '<string>'}
})
};
fetch('https://mapi.zbx.boomfi.xyz/v1/paylinks/{paylinkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_at": "<string>",
"created_by": "<string>",
"customer_ident_collection": true,
"deleted_at": "<string>",
"enabled": true,
"id": "<string>",
"invoice_id": "<string>",
"metadata": {},
"plan": {
"available_quantity": 123,
"created_at": "<string>",
"created_by": "<string>",
"currency": "<string>",
"deleted_at": "<string>",
"enabled": true,
"expires_at": "<string>",
"id": "<string>",
"metadata": {},
"name": "<string>",
"org_id": "<string>",
"payment_link": {
"created_at": "<string>",
"created_by": "<string>",
"customer_ident_collection": true,
"deleted_at": "<string>",
"enabled": true,
"id": "<string>",
"invoice_id": "<string>",
"metadata": {},
"plan_id": "<string>",
"properties": {},
"shipping_address_collection": true,
"tax_ident_collection": true,
"updated_at": "<string>",
"updated_by": "<string>"
},
"price": "<string>",
"properties": {},
"recurring_interval_count": 123,
"reference": "<string>",
"trial_period": "<string>",
"updated_at": "<string>"
},
"plan_id": "<string>",
"properties": {},
"shipping_address_collection": true,
"tax_ident_collection": true,
"updated_at": "<string>",
"updated_by": "<string>"
},
"error": true,
"message": "<string>"
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Paylinks
Update Paylink
Update a paylink’s enabled status, metadata, or plan fields
PATCH
/
paylinks
/
{paylinkId}
Update Paylink
Authorizations
Path Parameters
Unique payment link identifier (plink_...)
Body
application/json
Update paylink request
⌘I